Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8534)
@@ -1,7 +1,7 @@
 MODULE ice
    !!======================================================================
-   !!                        ***  MODULE ice  ***
-   !! LIM-3 Sea Ice physics:  diagnostics variables of ice defined in memory
-   !!=====================================================================
+   !!                        ***  MODULE  ice  ***
+   !!   sea-ice:  ice variables defined in memory
+   !!======================================================================
    !! History :  3.0  ! 2008-03  (M. Vancoppenolle) original code LIM-3
    !!            4.0  ! 2011-02  (G. Madec) dynamical allocation
@@ -9,5 +9,5 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM-3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    USE in_out_manager ! I/O manager
@@ -150,7 +150,7 @@
    !!=====================================================================
 
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Share Module variables
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !                                     !!** ice-generic parameters namelist (nampar) **
    INTEGER           , PUBLIC ::   jpl             !: number of ice  categories 
@@ -308,7 +308,7 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ftr_ice        !: transmitted solar radiation under ice
 
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Ice global state variables
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! Variables defined for each ice category
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   ht_i      !: Ice thickness (m)
@@ -356,7 +356,7 @@
    ! END MV MP 2016
 
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Moments for advection
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   sxopw, syopw, sxxopw, syyopw, sxyopw   !: open water in sea ice
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   sxice, syice, sxxice, syyice, sxyice   !: ice thickness 
@@ -372,7 +372,7 @@
    ! END MV MP 2016
 
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Old values of global variables
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   v_s_b, v_i_b, ht_s_b, ht_i_b  !: snow and ice volumes/thickness
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   a_i_b, smv_i_b, oa_i_b        !:
@@ -382,13 +382,13 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)     ::   at_i_b                        !: ice concentration (total)
             
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Ice thickness distribution variables
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)   ::   hi_max         !: Boundary of ice thickness categories in thickness space
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:)   ::   hi_mean        !: Mean ice thickness in catgories 
    !
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * Ice diagnostics
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    ! thd refers to changes induced by thermodynamics
    ! trp   ''         ''     ''       advection (transport of ice)
@@ -406,7 +406,7 @@
 
    !
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    !! * SIMIP extra diagnostics
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
    ! Extra sea ice diagnostics to address the data request
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:)   ::   t_si          !: Temperature at Snow-ice interface (K) 
@@ -541,5 +541,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Empty module            NO LIM sea-ice model
+   !!   Default option         Empty module           NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice1D.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice1D.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice1D.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE ice1D  ***
-   !! LIM sea-ice :   Ice thermodynamics in 1D
+   !! sea-ice :   Ice thermodynamics variables in 1D
    !!=====================================================================
    !! History :  3.0  !  2002-11  (C. Ethe)  F90: Free form and module
@@ -8,5 +8,5 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    USE ice     , ONLY :   nlay_i, nlay_s, jpl   ! number of ice/snow layers and categories
@@ -223,5 +223,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                       ***  MODULE  icealb  ***
-   !! Ocean forcing:  bulk thermohaline forcing of the ice
+   !! Atmospheric forcing:  Albedo over sea ice
    !!=====================================================================
    !! History :  4.0  ! 2017-07  (C. Rousset) Split ice and ocean albedos
@@ -8,8 +8,8 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                    LIM 3.0 sea-ice model
-   !!----------------------------------------------------------------------
-   !!   ice_alb       : albedo for ice (clear and overcast skies)
-   !!   alb_init      : initialisation of albedo computation
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!   ice_alb        : albedo for ice (clear and overcast skies)
+   !!   ice_alb_init   : initialisation of albedo computation
    !!----------------------------------------------------------------------
    USE ice, ONLY: jpl ! sea-ice: number of categories
@@ -19,4 +19,5 @@
    USE lib_mpp        ! MPP library
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -109,5 +110,7 @@
       REAL(wp), DIMENSION(jpi,jpj,jpl) ::   zafrac_pnd      ! relative ice fraction (effective)
       !!---------------------------------------------------------------------
-
+      !
+      IF( nn_timing == 1 )   CALL timing_start('icealb')
+      !
       !-----------------------------------------------------
       !  Snow-free albedo (no ice thickness dependence yet)
@@ -147,6 +150,4 @@
          ENDIF 
          !
-!!gm: optimization ( rn_alb_smlt - rn_alb_imlt ) * r1_c2 can be computed one for all 
-!!gm  before the DO-loop below
          DO jl = 1, jpl
             DO jj = 1, jpj
@@ -301,4 +302,6 @@
       END SELECT
       !
+      IF( nn_timing == 1 )   CALL timing_stop('icealb')
+      !
    END SUBROUTINE ice_alb
 
@@ -343,5 +346,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module      NO LIM 3.0 sea-ice model
+   !!   Default option           Dummy module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icecor.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                     ***  MODULE  icecor  ***
-   !!   LIM-3 : Update of sea-ice global variables at the end of the time step
+   !!   ESIM : Corrections on sea-ice variables at the end of the time step
    !!======================================================================
    !! History :  3.0  !  2006-04  (M. Vancoppenolle) Original code
@@ -9,7 +9,7 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
-   !!    ice_cor      : computes update of sea-ice global variables from trend terms
+   !!    ice_cor      : corrections on sea-ice variables
    !!----------------------------------------------------------------------
    USE dom_oce        ! ocean domain
@@ -22,9 +22,9 @@
    !
    USE in_out_manager ! I/O manager
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
-   USE lbclnk         ! lateral boundary condition - MPP link
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
-   USE iom            !
 
    IMPLICIT NONE
@@ -47,5 +47,5 @@
       !!               
       !! ** Purpose :   Computes corrections on sea-ice global variables at 
-      !!              the end of the dynamics.
+      !!              the end of the dynamics (kn=1) and thermodynamics (kn=2)
       !!----------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt    ! number of iteration
@@ -184,5 +184,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module      NO LIM 3.0 sea-ice model
+   !!   Default option           Dummy module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icectl.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icectl.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icectl.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                     ***  MODULE  icectl  ***
-   !!   LIM-3 : control and printing
+   !!   sea-ice : controls and prints
    !!======================================================================
    !! History :  3.5  !  2015-01  (M. Vancoppenolle) Original code
@@ -9,23 +9,25 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
-   !!----------------------------------------------------------------------
-   !!    ice_ctl   : control prints in case of crash
-   !!    ice_prt   : ice control print at a given grid point
-   !!    ice_prt3D : control prints of ice arrays
-   !!----------------------------------------------------------------------
+   !!   'key_lim3'                                       ESIM sea-ice model
+   !!----------------------------------------------------------------------
+   !!    ice_cons_hsm     : conservation tests on heat, salt and mass
+   !!    ice_cons_final   : conservation tests on heat, salt and mass at end of time step
+   !!    ice_ctl          : control prints in case of crash
+   !!    ice_prt          : control prints at a given grid point
+   !!    ice_prt3D        : control prints of ice arrays
+   !!----------------------------------------------------------------------
+   USE phycst         ! physical constants
    USE oce            ! ocean dynamics and tracers
    USE dom_oce        ! ocean space and time domain
-   USE ice            ! LIM-3: ice variables
-   USE ice1D          ! LIM-3: thermodynamical variables
+   USE ice            ! sea-ice: variables
+   USE ice1D          ! sea-ice: thermodynamics variables
    USE sbc_oce        ! Surface boundary condition: ocean fields
    USE sbc_ice        ! Surface boundary condition: ice   fields
-   USE phycst         ! Define parameters for the routines
    !
+   USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
    USE timing         ! Timing
-   USE in_out_manager ! I/O manager
    USE prtctl         ! Print control
-   USE lib_fortran    ! 
 
    IMPLICIT NONE
@@ -48,5 +50,5 @@
 
    SUBROUTINE ice_cons_hsm( icount, cd_routine, pdiag_v, pdiag_s, pdiag_t, pdiag_fv, pdiag_fs, pdiag_ft )
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                       ***  ROUTINE ice_cons_hsm ***
       !!
@@ -60,5 +62,5 @@
       !!              For salt and heat thresholds, ice is considered to have a salinity of 10 
       !!              and a heat content of 3e5 J/kg (=latent heat of fusion) 
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       INTEGER         , INTENT(in)    ::   icount        ! called at: =0 the begining of the routine, =1  the end
       CHARACTER(len=*), INTENT(in)    ::   cd_routine    ! name of the routine
@@ -70,5 +72,5 @@
       REAL(wp) ::   zarea, zv_sill, zs_sill, zt_sill
       REAL(wp), PARAMETER ::   zconv = 1.e-9 ! convert W to GW and kg to Mt
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !
       IF( icount == 0 ) THEN
@@ -143,10 +145,10 @@
             IF ( ABS( zs   ) > zs_sill )   WRITE(numout,*) 'violation saline [psu*Mt/day] (',cd_routine,') = ',zs
             IF ( ABS( zt   ) > zt_sill )   WRITE(numout,*) 'violation enthalpy [GW]       (',cd_routine,') = ',zt
-            IF ( ABS(zvtrp ) > zv_sill .AND. cd_routine == 'iceadv' ) THEN
+            IF ( ABS(zvtrp ) > zv_sill .AND. cd_routine == 'icedyn_adv' ) THEN
                                            WRITE(numout,*) 'violation vtrp [Mt/day]       (',cd_routine,') = ',zvtrp
                                            WRITE(numout,*) 'violation etrp [GW]           (',cd_routine,') = ',zetrp
             ENDIF
             IF ( zvmin < -epsi10 )         WRITE(numout,*) 'violation v_i<0  [m]          (',cd_routine,') = ',zvmin
-            IF ( zamax > MAX(rn_amax_n,rn_amax_s) + epsi10 .AND. cd_routine /= 'iceadv' .AND. cd_routine /= 'icerdgrft' )  &
+            IF ( zamax > MAX(rn_amax_n,rn_amax_s)+epsi10 .AND. cd_routine /= 'icedyn_adv' .AND. cd_routine /= 'icedyn_rdgrft' )  &
                &                           WRITE(numout,*) 'violation a_i>amax            (',cd_routine,') = ',zamax
             IF ( zamin < -epsi10 )         WRITE(numout,*) 'violation a_i<0               (',cd_routine,') = ',zamin
@@ -159,5 +161,5 @@
 
    SUBROUTINE ice_cons_final( cd_routine )
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                     ***  ROUTINE ice_cons_final ***
       !!
@@ -170,10 +172,10 @@
       !!              For salt and heat thresholds, ice is considered to have a salinity of 10 
       !!              and a heat content of 3e5 J/kg (=latent heat of fusion) 
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in)    :: cd_routine    ! name of the routine
       REAL(wp)                        :: zhfx, zsfx, zvfx
       REAL(wp)                        :: zarea, zv_sill, zs_sill, zt_sill
       REAL(wp), PARAMETER             :: zconv = 1.e-9 ! convert W to GW and kg to Mt
-      !!----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
 
       ! water flux
@@ -204,5 +206,5 @@
    
    SUBROUTINE ice_ctl( kt )
-      !!-----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                   ***  ROUTINE ice_ctl *** 
       !!                 
@@ -415,5 +417,5 @@
    
    SUBROUTINE ice_prt( kt, ki, kj, kn, cd1 )
-      !!-----------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       !!                   ***  ROUTINE ice_prt *** 
       !!                 
@@ -596,10 +598,10 @@
 
    SUBROUTINE ice_prt3D( cd_routine )
-      !!---------------------------------------------------------------------------------------------------------
-      !!                                   ***  ROUTINE ice_prt3D ***
+      !!-------------------------------------------------------------------
+      !!                  ***  ROUTINE ice_prt3D ***
       !!
       !! ** Purpose : CTL prints of ice arrays in case ln_ctl is activated 
       !!
-      !!---------------------------------------------------------------------------------------------------------
+      !!-------------------------------------------------------------------
       CHARACTER(len=*), INTENT(in)  :: cd_routine    ! name of the routine
       INTEGER                       :: jk, jl        ! dummy loop indices
@@ -664,7 +666,7 @@
 
 #else
-   !!--------------------------------------------------------------------------
-   !!   Default option         Empty Module               No LIM3 sea-ice model
-   !!--------------------------------------------------------------------------
+   !!----------------------------------------------------------------------
+   !!   Default option         Empty Module           No ESIM sea-ice model
+   !!----------------------------------------------------------------------
 #endif
 
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8534)
@@ -15,16 +15,16 @@
    !!    ice_dia_rst  : read/write budgets restart
    !!----------------------------------------------------------------------
-   USE ice            ! LIM-3: sea-ice variable
    USE dom_oce        ! ocean domain
    USE phycst         ! physical constant
    USE daymod         ! model calendar
    USE sbc_oce , ONLY : sfx, nn_fsbc   ! surface boundary condition: ocean fields
-   USE icerst         ! ice restart
+   USE ice            ! sea-ice: variables
+   USE icerst         ! sea-ice: restart
    !
    USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
-   USE timing         ! preformance summary
-   USE iom            ! I/O manager
-   USE lib_fortran    ! glob_sum
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -279,5 +279,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option :         Empty module          NO LIM sea-ice model
+   !!   Default option :         Empty module         NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8533)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8534)
@@ -2,5 +2,5 @@
    !!======================================================================
    !!                     ***  MODULE  icedyn  ***
-   !!   Sea-Ice dynamics :  
+   !!   Sea-Ice dynamics : master routine for sea ice dynamics 
    !!======================================================================
    !! history :  4.0  ! 2017-09  (C. Rousset)  original code 
@@ -8,23 +8,23 @@
 #if defined key_lim3
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                       LIM3 sea-ice model
+   !!   'key_lim3'                                       ESIM sea-ice model
    !!----------------------------------------------------------------------
    !!   ice_dyn       : dynamics of sea ice
-   !!   ice_dyn_init  : initialisation of sea-ice dynamics
+   !!   ice_dyn_init  : initialization and namelist read
    !!----------------------------------------------------------------------
    USE phycst         ! physical constants
    USE dom_oce        ! ocean space and time domain
    USE ice            ! sea-ice: variables
-   USE icerhg         ! sea-ice: rheology
-   USE iceadv         ! sea-ice: advection
-   USE icerdgrft      ! sea-ice: ridging/rafting
+   USE icedyn_rhg     ! sea-ice: rheology
+   USE icedyn_adv     ! sea-ice: advection
+   USE icedyn_rdgrft  ! sea-ice: ridging/rafting
    USE icecor         ! sea-ice: corrections
    USE icevar         ! sea-ice: operations
    !
-   USE lbclnk         ! lateral boundary conditions - MPP exchanges
+   USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager library
    USE lib_mpp        ! MPP library
-   USE in_out_manager ! I/O manager
-   USE iom            ! I/O manager
-   USE lib_fortran    ! glob_sum
+   USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
+   USE lbclnk         ! lateral boundary conditions (or mpp links)
    USE timing         ! Timing
 
@@ -73,5 +73,5 @@
       !!--------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('icedyn')
+      IF( nn_timing == 1 )   CALL timing_start('icedyn')
       !
       IF( kt == nit000 .AND. lwp ) THEN
@@ -104,19 +104,19 @@
 
       CASE ( np_dynFULL )          !==  all dynamical processes  ==!
-         CALL ice_rhg   ( kt )                            ! -- rheology  
-         CALL ice_adv   ( kt )   ;   CALL Hbig( zhmax )   ! -- advection of ice + correction on ice thickness
-         CALL ice_rdgrft( kt )                            ! -- ridging/rafting 
-         CALL ice_cor   ( kt , 1 )                        ! -- Corrections
+         CALL ice_dyn_rhg   ( kt )                            ! -- rheology  
+         CALL ice_dyn_adv   ( kt )   ;   CALL Hbig( zhmax )   ! -- advection of ice + correction on ice thickness
+         CALL ice_dyn_rdgrft( kt )                            ! -- ridging/rafting 
+         CALL ice_cor       ( kt , 1 )                        ! -- Corrections
 
       CASE ( np_dynRHGADV1 )       !==  no ridge/raft ==!   (mono cat. case 2)
-         CALL ice_rhg   ( kt )                            ! -- rheology  
-         CALL ice_adv   ( kt )                            ! -- advection of ice
-         CALL Hpiling                                     ! -- simple pile-up (replaces ridging/rafting)
-         CALL ice_cor   ( kt , 1 )                        ! -- Corrections
+         CALL ice_dyn_rhg   ( kt )                            ! -- rheology  
+         CALL ice_dyn_adv   ( kt )                            ! -- advection of ice
+         CALL Hpiling                                         ! -- simple pile-up (replaces ridging/rafting)
+         CALL ice_cor       ( kt , 1 )                        ! -- Corrections
 
       CASE ( np_dynRHGADV2 )       !==  no ridge/raft & no corrections ==!
-         CALL ice_rhg   ( kt )                            ! -- rheology  
-         CALL ice_adv   ( kt )                            ! -- advection of ice
-         CALL Hpiling                                     ! -- simple pile-up (replaces ridging/rafting)
+         CALL ice_dyn_rhg   ( kt )                            ! -- rheology  
+         CALL ice_dyn_adv   ( kt )                            ! -- advection of ice
+         CALL Hpiling                                         ! -- simple pile-up (replaces ridging/rafting)
 
       CASE ( np_dynADV )           !==  pure advection ==!   (prescribed velocities)
@@ -125,5 +125,5 @@
          !!CALL RANDOM_NUMBER(u_ice(:,:))
          !!CALL RANDOM_NUMBER(v_ice(:,:))
-         CALL ice_adv   ( kt )                            ! -- advection of ice
+         CALL ice_dyn_adv   ( kt )                            ! -- advection of ice
 
       END SELECT
@@ -269,7 +269,7 @@
       IF( .NOT. ln_landfast )   tau_icebfr(:,:) = 0._wp
       !
-      CALL ice_rdgrft_init          ! set ice ridging/rafting parameters
-      CALL ice_rhg_init             ! set ice rheology parameters
-      CALL ice_adv_init             ! set ice advection parameters
+      CALL ice_dyn_rdgrft_init          ! set ice ridging/rafting parameters
+      CALL ice_dyn_rhg_init             ! set ice rheology parameters
+      CALL ice_dyn_adv_init             ! set ice advection parameters
       !
    END SUBROUTINE ice_dyn_init
@@ -277,5 +277,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option         Empty module          NO LIM-3 sea-ice model
+   !!   Default option         Empty module           NO ESIM sea-ice model
    !!----------------------------------------------------------------------
 #endif 
